EDIT - feature request #8415

use /portal/name/{uuuid}/typeDesignationsinHomotypicalGroup to speed up type designation
retrieval

07/29/2019 02:04 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

copied from #6380.

This webservice should be used to speed up type_designations_for_synonymy_group($synonymy_group,
$accepted taxon_name_uuid = null) in the data portal

test url: http://edit.test/d7/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy
expected list of type designations:

= Youngia stebbinsiana 5. Y. Hu in Quart. |. Taiwan Mus. 22: 37. 1969, nom. illeg.
Lectotype (designated by Dey S. K. & Maity D. 2016: 365%): India, Sikkim, alt. 3000-3600 m, |. D.
Hooker & Thomson (GH 00006291a).
Type: India, Sikkim, alt. 3000-3600 m, J. D. Hooker & Themsen (GH 00006291a).
Isolectotype: India, Sikkim, alt. 3000 -3600 m, J. D. Hooker & Thomson (KO00250157).
Isolectotype: India, Sikkim, alt. 3000 -3800 m, ]. D. Hocker & Thomson (FID10256).
Isolectotype: India, Sikkim, alt. 3000 -3800 m, J. D. Hooker & Thomson (PO0691294).
Isolectotype: India, Sikkim, alt. 3000-3600 m, ]. D. Hooker & Thomson (GHO00062914a').
Isolectotype: India. Sikkim, alt. 3000-3600 m, |. D. Hooker & Thomson (NYD0278156).

Related issues:
Related to EDIT - feature request #8390: implement /portal/name/{uuuid}/typeD... Closed

Associated revisions

Revision dfbc27b0 - 07/30/2019 01:52 PM - Andreas Kohlbecker

fix #8415 using /portal/name/{uuuid}/typeDesignationsinHomotypicalGroup service to speed up the type designation display

Revision 3d14fdcf - 07/31/2019 02:53 PM - Andreas Kohlbecker

ref #8415 avoiding uninitialized variable

Revision 34852f2d - 07/31/2019 06:54 PM - Andreas Kohlbecker

ref #8415 using accepted name uuid to get the types if no other taxa are in the homotypical group

History

#1 - 07/29/2019 02:04 PM - Andreas Kohlbecker
- Copied from feature request #8390: implement /portal/name/{uuuid}/typeDesignationsinHomotypicalGroup added

#2 - 07/29/2019 02:04 PM - Andreas Kohlbecker
- Copied from deleted (feature request #8390: implement /portal/name/{uuuid}/typeDesignationsinHomotypicalGroup )

#3 - 07/29/2019 02:04 PM - Andreas Kohlbecker
- Related to feature request #8390: implement /portal/name/{uuuid}/typeDesignationsinHomotypicalGroup added

#4 - 07/30/2019 01:48 PM - Andreas Kohlbecker
- Description updated
https://dev.e-taxonomy.eu/redmine/issues/6380
http://edit.test/d7/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy

#5 - 07/30/2019 01:51 PM - Andreas Kohlbecker
- File picture374-1.png added

- Description updated

#6 - 07/30/2019 01:52 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|dfbc27b033a2eda86d74b57a4d14189f7d6e5cdO.

#7 - 07/30/2019 01:52 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
